<?php

class formTemplateOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_PAGE_LOGO,
                'childs' => array(
                    new fieldImage('logo', array(
                        'options' => array(
                            'sizes' => array('small', 'original')
                        )
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_COPYRIGHT,
                'childs' => array(

                    new fieldString('owner_name', array(
                        'title' => LANG_TITLE
                    )),

                    new fieldString('owner_url', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_URL,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_URL_HINT
                    )),

                    new fieldString('owner_year', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_YEAR,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_YEAR_HINT
                    )),

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_SKIN,
                'childs' => array(
				
					new fieldString('owner_style_file', array(
                        'title' => LANG_TSESO_THEME_OWLER_STYLE_FILE,
                        'hint' => LANG_TSESO_THEME_OWLER_STYLE_FILE_HINT
                    )),
					
					new fieldString('assing_body_class', array(
                        'title' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS,
						'hint' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS_HINT
                    )),

                    new fieldCheckbox('disable_tepmlate_style', array(
                        'title' => LANG_TSESO_THEME_DISABLE_TEMLATE_STYLE,
                        'default' => 0
                    ))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_MENU_CLICK,
                'childs' => array(

                    new fieldList('menu_click', array(
                        'title' => LANG_TSESO_THEME_MENU_CLICK_DEVICE,
                        'default' => 'click_none',
						'hint' => LANG_TSESO_THEME_MENU_CLICK_HINT,
                        'items' => array(
                            'click_none'  => LANG_TSESO_THEME_MENU_CLICK_NONE,
                            'click_mobile' => LANG_TSESO_THEME_MENU_CLICK_MOBILE,
							'click_all' => LANG_TSESO_THEME_MENU_CLICK_ALL
                        )
                    ))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_ADMIN_CONTROLLER,
                'childs' => array(

                    new fieldCheckbox('disable_help_anim', array(
                        'title' => LANG_TSESO_THEME_DISABLE_HELP_ANIM,
                        'default' => 0
                    ))

                )
            )

        );

    }

}
