<?php
	if(!$is_ajax){
		$this->addCSS('system/controllers/content/widgets/ajaxlist/css/'.($config['two_cols'] ? 'two_cols' : 'one_cols').'.css');
		echo '<div id="contentAjaxList" class="widget_content_list featured">';
	}

	$class = 'even_block';
	$counter = 1;
	$advert1_pages = explode(',', $config['advert1_pages']);
	$advert2_pages = explode(',', $config['advert2_pages']);
	$advert3_pages = explode(',', $config['advert3_pages']);

	// Контент
	foreach($items as $item){
		$url = href_to($ctype['name'], $item['slug']).'.html';
		$private = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
		$image = ($image_field && !empty($item[$image_field])) ? $item[$image_field] : false;
		if($private){
			$image = $image ? default_images('private', 'small') : false;
			$url = false;
		}
		echo '<div class="item '.$class.'">';
			echo '<div class="info">';
				if($image){
					echo '<div class="image">';
						if($url){ echo '<a class="ajax-modal" href="'.html_image_src($image, 'big', true).'">'; }
							echo html_image($image, 'small', $item['title']);
						if($url){ echo '</a>'; }
					echo '</div>';
				}
				echo '<div class="title">';	
					echo $url ? '<a href="'.$url.'">'.htmlspecialchars($item['title']).'</a>' : htmlspecialchars($item['title']);
					if($item['is_private']){ echo '&nbsp;<span class="is_private" title="'.LANG_PRIVACY_PRIVATE.'"></span>'; }
				echo '</div>';
				if($teaser_field && !empty($item[$teaser_field])){
					echo '<div class="teaser">';
						if(!$private){
							echo $item[$teaser_field].' <a href="'.$url.'">'.LANG_MORE.'</a>';
						} else {
							echo '<!--noindex--><div class="private_field_hint">'.LANG_PRIVACY_PRIVATE_HINT.'</div><!--/noindex-->';
						}
					echo '</div>';
				}
				if($is_show_details){
					echo '<div class="details">';
						echo '<span class="author">';
							echo '<a href="'.href_to('users', $item['user']['id']).'">'.htmlspecialchars($item['user']['nickname']).'</a>';
							if($item['parent_id']){
								echo LANG_WROTE_IN_GROUP.' <a href="'.href_to($item['parent_url']).'">'.htmlspecialchars($item['parent_title']).'</a>';
							}
						echo '</span>';
						echo '<span class="date">'.htmlspecialchars(string_date_age_max($item['date_pub'], true)).'</span>';
						if($ctype['is_comments']){
							echo '<span class="comments">';
								if($url){
									echo '<a href="'.$url.'#comments" title="'.LANG_COMMENTS.'">'.intval($item['comments']).'</a>';
								} else {
									echo intval($item['comments']);
								}
							echo '</span>';
						}
					echo '</div>';
				}
			echo '</div>';
		echo '</div>';

		// Рекламные модули (логика вставки так и осталась неизвестной и сделана просто для примера)
		if($config['advert1'] && in_array($page, $advert1_pages) && $counter == $config['advert1_interval']){ echo $config['advert1']; }
		if($config['advert2'] && in_array($page, $advert2_pages) && $counter == $config['advert2_interval']){ echo $config['advert2']; }
		if($config['advert3'] && in_array($page, $advert3_pages) && $counter == $config['advert3_interval']){ echo $config['advert3']; }

		$counter++;
		$class = $class == 'even_block' ? 'odd_block' : 'even_block';
	}

	if(!$is_ajax){
		echo '</div>';
	}

	// На кнопке делаем повтор разметки для подхватывания стилей от системного виджета
	if($page < ceil($total/$perpage)){
		echo '<div id="readMore_block" class="widget_content_list featured">';
			echo '<div class="item-first">';
				echo '<div class="read-more">';
					echo '<a href="#" onclick="showMore($(this), '.($page+1).');return false;">'.LANG_WD_CONTENT_SHOW_NEXT.'</a>';
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}

	if(!$is_ajax){

		if($config['advert1']){ $config['advert1'] = base64_encode($config['advert1']); }
		if($config['advert2']){ $config['advert2'] = base64_encode($config['advert2']); }
		if($config['advert3']){ $config['advert3'] = base64_encode($config['advert3']); } ?>
	
		<script type="text/javascript">
			function showMore(link, page){
				$.ajax({
					url: '<?php echo $root; ?>system/controllers/content/widgets/ajaxlist/loader.php',
					type: 'POST',
					dataType: 'html',
					data: {page: page, config: '<?php echo json_encode($config); ?>'},
					beforeSend: function(){
						link.text('<?php echo LANG_WD_CONTENT_LOADING; ?>');
					},
					success: function(data){
						$('#readMore_block').remove();
						var items = $(data);
						items.css({'display':'none', 'opacity':'0'});
						items.appendTo('#contentAjaxList').slideDown(1000).fadeTo(2000, 1);
						items.dequeue();
						icms.modal.bind('a.ajax-modal');
					},
					error: function(){ return false; }
				});
			}
		</script>
	<?php } ?>